<?php

namespace TypechoPlugin\MournIndex;

use Typecho\Plugin\PluginInterface;
use Typecho\Widget\Helper\Form;
use Widget\Archive;

if (!defined('__TYPECHO_ROOT_DIR__')) {
    exit;
}

/**
 * 启用首页变灰，禁用恢复正常
 *
 * @package 哀悼日首页灰屏
 * @author dujun
 * @version 0.0.1
 * @link https://dujun.io/
 */
class Plugin implements PluginInterface
{
    public static function activate()
    {
        \Typecho\Plugin::factory(Archive::class)->header = __CLASS__ . '::render';

        return '已开启首页灰屏';
    }

    public static function deactivate()
    {
        return '已关闭首页灰屏';
    }

    public static function config(Form $form)
    {
    }

    public static function personalConfig(Form $form)
    {
    }

    public static function render($header, $self)
    {
        if ($self->is('index')) {
            echo "<style>
            html {
                -webkit-filter: grayscale(100%);
                -moz-filter: grayscale(100%);
                -ms-filter: grayscale(100%);
                -o-filter: grayscale(100%);
                filter: grayscale(100%);
                filter: progid:DXImageTransform.Microsoft.BasicImage(grayscale=1);
                filter: gray;
            }
            </style>";
        }
    }
}
